Bug 728007 - EFI install fails with traceback - TypeError: '_sre.SRE_Match' object is not subscriptable
EFI install fails with traceback - TypeError: '_sre.SRE_Match' object is not ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F16Alpha-accepted/F16AlphaFreezeExcept F16Beta/F16BetaBlocker
  Show dependency treegraph
 
Reported: 2011-08-03 18:19 EDT by Brian Lane
Modified: 2011-08-18 18:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-16.14.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-18 18:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
traceback of error (662.35 KB, text/plain)
2011-08-03 18:19 EDT, Brian Lane
no flags Details

  None (edit)
Description Brian Lane 2011-08-03 18:19:18 EDT
EFI install fails after installing all packages.
Comment 1 Brian Lane 2011-08-03 18:19:48 EDT
Created attachment 516587 [details]
traceback of error
Comment 2 Adam Williamson 2011-08-03 20:37:31 EDT
EFI is in the Beta criteria, not Alpha; so re-proposing these bugs as Beta blockers and Alpha NTH (if you can get fixes in time I'd certainly be in favour of taking them into the anaconda rebuild for the next Alpha compose).
Comment 3 Chris Lumens 2011-08-04 11:47:19 EDT
Perhaps this would fix it up:

diff --git a/pyanaconda/bootloader.py b/pyanaconda/bootloader.py
index 31a78c8..9260a10 100644
--- a/pyanaconda/bootloader.py
+++ b/pyanaconda/bootloader.py
@@ -1314,11 +1314,11 @@ class EFIGRUB(GRUB):
         """
         path = ""
         buf = self.efibootmgr("-v", stderr="/dev/tty5", capture=True)
-        matches = re.search(productName + r'\s+HD\(.+?\)', buf)
-        if matches:
+        match = re.search(productName + r'\s+HD\(.+?\)', buf)
+        if match:
             path = re.sub(productName + r'\s+',
                           '',
-                          buf[matches[0].start():matches[0].end()])
+                          buf[match.group(0).start():match.group(0).end()])
 
         return path
Comment 4 Tim Flink 2011-08-04 17:15:20 EDT
Like Adam said, beta material but it wouldn't hurt to get it in the alpha if possible.

+1 beta blocker, +1 alpha NTH
Comment 5 Tim Flink 2011-08-05 14:50:01 EDT
Discussed in the 2011-08-05 blocker review meeting. Accepted as NTH [1] for Fedora 16 alpha. Will include fixes in alpha if they are tested in time.

[1] http://fedoraproject.org/wiki/QA:SOP_nth_bug_process
Comment 6 Fedora Update System 2011-08-05 16:27:20 EDT
anaconda-16.14.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.2-1.fc16
Comment 7 Fedora Update System 2011-08-06 00:25:11 EDT
Package anaconda-16.14.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-16.14.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-16.14.2-1.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-08-09 00:26:07 EDT
anaconda-16.14.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.3-1.fc16
Comment 9 Fedora Update System 2011-08-11 11:50:11 EDT
anaconda-16.14.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.4-1.fc16
Comment 10 Fedora Update System 2011-08-15 12:55:58 EDT
anaconda-16.14.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.5-1.fc16
Comment 11 Fedora Update System 2011-08-16 16:15:09 EDT
anaconda-16.14.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.6-1.fc16
Comment 12 Fedora Update System 2011-08-18 18:24:41 EDT
anaconda-16.14.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.